﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;

namespace SMSSClient
{
    class args_parser
    {
        string[] args;

        // ---------------------------------------------------------------------------------
        // konstruktor
        // ---------------------------------------------------------------------------------
        public args_parser(string[] aargs)
        {
            args = aargs;
        }


        // ---------------------------------------------------------------------------------
        // nalezne hodnotu paramentru, jinak vrati prazdny string
        // ---------------------------------------------------------------------------------
        public string find_param(string param)
        {
            int i;
            for (i = 0; i < args.Length; i++)
            {
                if (get_args_value(i) == param) return (get_args_value(i + 1));
            }
            return ("");
        }


        // ---------------------------------------------------------------------------------
        // nalezne hodnotu bez parametru, resp. posledni sjednoceni hodnot
        // ---------------------------------------------------------------------------------
        public string find_noparam()
        {
            int i = 0, pos = 0;
            while (i < args.Length)
            {
                if (Regex.Match(get_args_value(i), @"^-[a-z]{1}$").Success)
                {
                    pos = i + 2;
                }
                i++;
            }
            if (pos < args.Length)
            {
                return (String.Join(" ", args, pos, args.Length - pos));
            }
            else
            {
                return ("");
            }
        }


        // ---------------------------------------------------------------------------------
        // vraci hodnotu z pole args, osetruje mimolimity
        // ---------------------------------------------------------------------------------
        private string get_args_value(int index)
        {
            if (index < args.Length) return (args[index]);
            return ("");
        }

    }
}
